export declare const GLOBAL_COLLAPSED = "global/COLLAPSED";
export declare const GLOBAL_INPATIENT_TABLE_STYLE = "global/INPATIENT_TABLE_STYLE";
export declare const ENQUEUE_SNACKBAR = "ENQUEUE_SNACKBAR";
export declare const CLOSE_SNACKBAR = "CLOSE_SNACKBAR";
export declare const REMOVE_SNACKBAR = "REMOVE_SNACKBAR";
export declare const FETCH_INIT_WARD: import("../types").RequestType;
export declare const SET_USER_DEFAULT_WARD: import("../types").RequestType;
export declare const SIDEKICK = "SIDEKICK";
export declare const LOGOUT = "LOGOUT";
export declare const LOGIN: import("../types").RequestType;
export declare const GET_PATIENT_OWNER: import("../types").RequestType;
export declare const GET_PATIENT_STANDING: import("../types").RequestType;
export declare const ADD_TO_DESK: import("../types").RequestType;
export declare const GET_PATIENT_HEALTH: import("../types").RequestType;
export declare const ADD_NEW_FOCUS: import("../types").RequestType;
export declare const ADD_NEW_VITALSIGN: import("../types").RequestType;
export declare const MOVE_FOCUS_SECTION: import("../types").RequestType;
export { GET_MONITOR_ID, GET_MONITOR_TOKEN, GET_MONITOR_CONFIG, GET_MONITOR_LIST, SET_MONITOR } from './monitor';
export { GET_PATIENT_NOTIFY_LIST, GET_NOTIFICATION_LIST, GET_PATIENT_NOTIFY_BADGE, GET_PATIENT_NOTIFY_HISTORY, SET_NOTIFY_READED } from './notification';
export declare const ACTIVE_PROBLEM: import("../types").RequestType;
export declare const RESOLVE_PROBLEM: import("../types").RequestType;
export declare const RESOLVE_FOCUS: import("../types").RequestType;
export declare const REOPEN_FOCUS: import("../types").RequestType;
export declare const GET_PATIENT_PHYSICAL_HISTORY: import("../types").RequestType;
export declare const ADD_PATIENT_PHYSICAL: import("../types").RequestType;
export declare const FETCH_HISTORY_PROBLEM: import("../types").RequestType;
export declare const UPDATE_PATIENT_FOCUS: import("../types").RequestType;
export declare const FETCH_PATIENT_FOCUS_BY_ID: import("../types").RequestType;
export declare const GET_FOCUS_HISTORY_BY_ID: import("../types").RequestType;
export declare const FETCH_PATIENT_FOCUS_LIST_BY_PERIOD: import("../types").RequestType;
export declare const FETCH_VITAL_SIGN_BY_PERIOD: import("../types").RequestType;
export declare const NN_LOOKUP_DIAGGROUP: import("../types").RequestType;
export declare const NN_LOOKUP_DIAG_ITEMS: import("../types").RequestType;
export declare const NN_LOOKUP_PROBLEM_LIST: import("../types").RequestType;
export declare const NN_LOOKUP_GOAL_ITEMS: import("../types").RequestType;
export declare const NN_LOOKUP_ASSESSMENT: import("../types").RequestType;
export declare const GET_FOCUS_ITEMS_INFO: import("../types").RequestType;
export declare const UPDATE_DIAGGROUP: import("../types").RequestType;
export declare const UPDATE_DIAGITEMS: import("../types").RequestType;
export declare const UPDATE_FOCUS_ITEMS: import("../types").RequestType;
export declare const NEW_GOALITEM: import("../types").RequestType;
export declare const UPDATE_GOALITEM: import("../types").RequestType;
export declare const QUICK_ADD_GOALITEM: import("../types").RequestType;
export declare const NEW_ASSESSMENT: import("../types").RequestType;
export declare const UPDATE_ASSESSMENT: import("../types").RequestType;
export declare const QUICK_ADD_ASSESSMENT: import("../types").RequestType;
export declare const NEW_INTERVENTION: import("../types").RequestType;
export declare const UPDATE_INTERVENTION: import("../types").RequestType;
export declare const QUICK_ADD_INTERVENTION: import("../types").RequestType;
export declare const NEW_EVALUATION: import("../types").RequestType;
export declare const UPDATE_EVALUATION: import("../types").RequestType;
export declare const QUICK_ADD_EVALUATION: import("../types").RequestType;
export declare const NN_LOOKUP_INTERVENTION_LIST: import("../types").RequestType;
export declare const NN_LOOKUP_EVALUATION_LIST: import("../types").RequestType;
export declare const FETCH_DTX_LIST: import("../types").RequestType;
export declare const FETCH_DTX_HISTORY: import("../types").RequestType;
export declare const ADD_NEW_DTX: import("../types").RequestType;
export declare const GET_INITIAL_IO: import("../types").RequestType;
export declare const GET_CUSTOM_INTAKE_LIST: import("../types").RequestType;
export declare const ADD_CUSTOM_INTAKE_ITEM: import("../types").RequestType;
export declare const GET_CUSTOM_OUTPUT_LIST: import("../types").RequestType;
export declare const ADD_CUSTOM_OUTPUT_ITEM: import("../types").RequestType;
export declare const GET_CUSTOM_EXCRETE_LIST: import("../types").RequestType;
export declare const ADD_CUSTOM_EXCRETE_ITEM: import("../types").RequestType;
export declare const FETCH_IO_LIST: import("../types").RequestType;
export declare const FETCH_IO_HISTORY: import("../types").RequestType;
export declare const ADD_NEW_IO: import("../types").RequestType;
export declare const GET_MEDICATION_PROFILE: import("../types").RequestType;
export declare const GET_MEDICATION_PROFILE_STAT: import("../types").RequestType;
export declare const GET_MEDICATION_DISPENSING: import("../types").RequestType;
export declare const DISPENSE_MEDICATION: import("../types").RequestType;
export declare const REMOVE_MED_DISPENSED: import("../types").RequestType;
export declare const GET_MEDPLAN_DETAIL: import("../types").RequestType;
export declare const CHANGE_MEDPLAN_INTERVAL: import("../types").RequestType;
export declare const QUICK_SET_MEDPLAN_INTERVAL: import("../types").RequestType;
export declare const QUICK_REMOVE_MEDPLAN_INTERVAL: import("../types").RequestType;
